Download it now!
Bug 129708 - Impress: Long operation during typing in animated list
Summary: Impress: Long operation during typing in animated list
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords: perf
Depends on: 129887
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-31 11:36 UTC by Serge Krot (CIB)
Modified: 2020-01-09 13:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
One slide with animated list (11.67 KB, application/vnd.oasis.opendocument.presentation)
2020-01-02 09:49 UTC, Serge Krot (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2019-12-31 11:36:26 UTC
There is a long time out from 1 up to 5 seconds when you just press ENTER, when cursor is placed on some slide, inside text frame with list.
Comment 1 iantheprogrammer 2019-12-31 16:51:13 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.

(Note that the attachment will be public, remove any sensitive information before attaching it.
See the QA FAQ Wiki,https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F, for further detail.)

Additionally, could you please update this posting with what version of LibreOffice you are currently using and the operating system? To find out this information, select the "Help" menu in Impress and select the "About LibreOffice" option.
Comment 2 Serge Krot (CIB) 2020-01-02 09:49:19 UTC
Created attachment 156896 [details]
One slide with animated list
Comment 3 Serge Krot (CIB) 2020-01-02 09:54:44 UTC
Quick analysis:
* when we have animation for list in shape we try to check and validate each animation step
* for this we call CustomAnimationEffect::checkForText() which actually creates a duplication of the entire enumeration

So,
* more items in list -> more animation steps
* more animation steps -> more duplication of the enumeration
Comment 4 Commit Notification 2020-01-04 00:06:50 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c97f9af5e47ea234ad709a1f66c1e8ed20640066

tdf#129708 speed-up: reuse enumeration for each effect

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-01-04 13:05:27 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0c8848394df6e0c8ac3149ffde1314e8e1171869

tdf#129708 speed-up: reuse enumeration for each effect

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-06 14:56:29 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/92ccf53b2a8102299ac2c3e2612bb507d3a79c0f

tdf#129708 speed-up: check if we could create outline instead of creation of it

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-07 04:57:35 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e88a993b5b0a1a6245a0ae9e1d1e9f365ec7cba3

tdf#129708 speed-up: check if we could create outline instead of creation of it

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-01-09 13:07:34 UTC
I do confirm the user experience seems faster in

Version: 6.5.0.0.alpha0+
Build ID: 838935758a5ec8e0e68f4df0cf5bfcf737e3f6f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Specially when using enter key consecutively